using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace pcd_g1
{
	class SlopeTypeBBlockStageObject : BlockStageObject
	{
		//ハーフブロック（高さ半分）
		public SlopeTypeBBlockStageObject(int x, int y, string imgName)
			: base(x, y)
		{
			image = ImageManager.Search(imgName);
			Range = new FreeRectangleCollideRange(this);
			((FreeRectangleCollideRange)Range).Rect = new RectangleF(0f, 16f, 32f, 16f);
		}

		public override bool EventProc(EventType type, IStageObject sender, CollideDirection direction)
		{
			return base.EventProc(type, sender, direction);
		}
	}
}
